
Name:           gitso
Version:        0.6
Release:        19%{?dist}
Summary:        A front-end to reverse VNC connections

Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/gitso/
Source0:        http://gitso.googlecode.com/files/%{name}_%{version}_src.tar.bz2

Patch1:         %{name}-%{version}-patch_desktop.patch

BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       tigervnc, tigervnc-server, tigervnc-server-module, x11vnc, wxPython


%description
Gitso is a front-end to reverse VNC connections. It is meant to be a
simple two-step process that connects one person to another screen.

%prep
%setup -q
%patch1 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -p arch/linux/%{name} $RPM_BUILD_ROOT%{_bindir}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 0644 Gitso.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ConnectionWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 AboutWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 GitsoThread.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 Processes.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ArgsParser.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 __init__.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 NATPMP.py $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -pm 0644 icon.ico $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ arch/linux/%{name}.desktop

mkdir -p %{buildroot}%{_mandir}/man1
install -p arch/linux/%{name}.1 %{buildroot}%{_mandir}/man1/
chmod -x %{buildroot}%{_mandir}/man1/%{name}.1

# Remove shebang from Python libraries
for lib in $RPM_BUILD_ROOT%{_datadir}/%{name}/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%files
%doc COPYING CHANGELOG.txt
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Tue Jul 24 2018 Jan Grulich <jgrulich@redhat.com> - 0.6.19
- Requires: tigervnc, tigervnc-server
  Tigervnc dropped old obsoleted vnc and vnc-server provides

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6-16
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 23 2013 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-10
- Add missing icon.png file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 04 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-6
- Update GPLv3 licence to GPLv3+

* Tue Jan 03 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-5
- Add a build section
- Change manpage name in files section in case the man pages compressing format
 changes.

* Tue Jan 03 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.6-4
- Add noarch
- Remove shebang from Python libraries

* Sat Dec 24 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-3
- Removing patch2 to conform to upstream

* Sat Dec 24 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-2
- Removing unneeded definition of the python_sitelib macro
- Removing python-devel from buildrequires
- Removing python and wxGTK requires , which are already required by wxPython
- Change install destination
- Modification of .desktop patch file

* Tue Nov 8 2011 Cedric OLIVIER <cedric.olivier@free.fr> 0.6-1
- First release
